using System.Text.Json.Serialization;
using FitConnect.Services.Models;

namespace FitConnect.Models;

public record ServiceType {
    public string? Name { get; set; }

    public string? Description { get; set; }
    public string? Identifier { get; set; }

    public static explicit operator ServiceType(ServiceTypeDto dto) => new() {
        Description = dto.Description,
        Identifier = dto.Identifier,
        Name = dto.Name
    };
    public static explicit operator ServiceTypeDto(ServiceType model) => new() {
        Description = model.Description,
        Identifier = model.Identifier,
        Name = model.Name
    };
}
